modutils and 2.4 kernel broken?

Rob Landley rob at landley.net
Sat Dec 17 01:24:51 UTC 2005


On Friday 16 December 2005 09:25, yan seiner wrote:
> Is insmod support for 2.4 kernels broken in the recent busybox releases?
>
> I keep getting error messages about query_module....
...
> although I have support for 2.4 kernels turned on in the config....
>
> 1.1 pre dies on the compile:
>
> ==================
>
> /home/src/busybox-1.1.0-pre1/modutils/modutils.a(insmod.o)(.text+0x3730):
>
> In function `$a':
> : undefined reference to `query_module'
>
> /home/src/busybox-1.1.0-pre1/modutils/modutils.a(insmod.o)(.text+0x3838):
>
> In function `$a':
> : undefined reference to `create_module'
>
> ==================
>
> Any way to fix this or workarounds for this?

The guy who's been playing in this area is Yann Morin, I've cc'd him.  (My 
busybox systems have a static kernel...)

Rob
-- 
Steve Ballmer: Innovation!  Inigo Montoya: You keep using that word.
I do not think it means what you think it means.



More information about the busybox mailing list